This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 219182 - Kickstart using extras repo fails, but only on 2nd install (yum cache problem?)
Kickstart using extras repo fails, but only on 2nd install (yum cache problem?)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 14:04 EST by Jeff Law
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda kickstart file (1.40 KB, text/plain)
2006-12-11 14:04 EST, Jeff Law
no flags Details

  None (edit)
Description Jeff Law 2006-12-11 14:04:51 EST
Description of problem:
Using a kickstart file which includes a "repo" specification as well as
specifying a package found in that extra repository will work once, but will
fail the second time.



Version-Release number of selected component (if applicable):


How reproducible:
Run anaconda twice with the attached kickstart file.  Replace /mnt/FC6media with
a path to a mounted ISO image of FC6 (of course).

  
anaconda -G -m nfs://mnt/FC6media --rootpath /tmp/anacondatest 
--kickstart=test.cfg
anaconda -G -m nfs://mnt/FC6media --rootpath /tmp/anacondatest2 --kickstart=test.cfg

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Second anaconda command will fail, complaining that the "facter" rpm is missing
or damanged.  There is nothing wong with the "facter" RPM.  If you look closely
(via strace), you'll see the second anaconda instance requests the "facter" RPM
from the specific repository.  However, it uses a byte range which is outside
the size of the "facter" RPM.


Expected results:
You should get two clean FC6 installs.  Once into /tmp/anacondatest the other
into /tmp/anacondatest2.

Additional info:
Comment 1 Jeff Law 2006-12-11 14:04:52 EST
Created attachment 143312 [details]
anaconda kickstart file
Comment 2 Red Hat Bugzilla 2007-06-11 23:29:54 EDT
requested by Jams Antill
Comment 3 Chris Lumens 2007-11-29 23:55:00 EST
Is this still a problem with F8?
Comment 4 Bug Zapper 2008-04-04 01:11:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 13:10:01 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.